Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TNodeWithAliasClause

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TNodeWithAliasClause

All Implemented Interfaces:
  Visitable

Direct Known Subclasses:
  TDmlSelectItem, TFromTable, TJoin, TJoinExpr, TPivotClause, TResultColumn, TTable

    public class TNodeWithAliasClause

extends TParseTreeNode

Constructor Summary
`TNodeWithAliasClause()`

Method Summary
`TAliasClause` | `getAliasClause()`
`void` | `setAliasClause(TAliasClause aliasClause)`
`java.lang.String` | `toString()` Tf there is no alias clause of this node, then toString() is the same as `TParseTreeNode`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TNodeWithAliasClause

    public TNodeWithAliasClause()

Method Detail

### setAliasClause

    public void setAliasClause(TAliasClause aliasClause)

### getAliasClause

    public TAliasClause getAliasClause()

### toString

    public java.lang.String toString()

  Tf there is no alias clause of this node, then toString() is the same as `TParseTreeNode`

  Otherwise, return text of node only, don't include text of alias clause.

  If this node was modified by `TParseTreeNode.setString(String)`, then node text including alias node text was replaced by new string.

  Overrides:
    `toString` in class `TParseTreeNode`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD